org.apache.cxf.interceptor.security

## Class SecureAnnotationsInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.security.AbstractAuthorizingInInterceptor
    - - org.apache.cxf.interceptor.security.SimpleAuthorizingInterceptor
      - - org.apache.cxf.interceptor.security.SecureAnnotationsInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class SecureAnnotationsInterceptor
      extends SimpleAuthorizingInterceptor

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.interceptor.security.SimpleAuthorizingInterceptor

      `globalRoles, methodRolesMap, userRolesMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureAnnotationsInterceptor()`
    `SecureAnnotationsInterceptor(boolean uniqueId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `findRoles(Class<?> cls, Map<String,String> rolesMap)`
    `void` | `setAnnotationClassName(String name)`
    `void` | `setSecuredObject(Object object)`

    - ### Methods inherited from class org.apache.cxf.interceptor.security.SimpleAuthorizingInterceptor

      `createMethodSig, getExpectedRoles, isUserInRole, setCheckConfiguredRolesOnly, setGlobalRoles, setMethodRolesMap, setUserRolesMap`

    - ### Methods inherited from class org.apache.cxf.interceptor.security.AbstractAuthorizingInInterceptor

      `authorize, getDenyRoles, getTargetMethod, handleMessage, isAllowAnonymousUsers, isMethodProtected, setAllowAnonymousUsers`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureAnnotationsInterceptor

          public SecureAnnotationsInterceptor()

    - #### SecureAnnotationsInterceptor

          public SecureAnnotationsInterceptor(boolean uniqueId)

  - ### Method Detail

    - #### setAnnotationClassName

          public void setAnnotationClassName(String name)

    - #### setSecuredObject

          public void setSecuredObject(Object object)

    - #### findRoles

          protected void findRoles(Class<?> cls,
                                   Map<String,String> rolesMap)

Apache CXF